<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<script>
    let input = document.createElement('input');
    let span = document.createElement('span');
    let button = document.createElement('button');

    input.style.display = 'block';


    input.setAttribute('placeholder', 'Price');
    button.setAttribute('type', 'button');
    button.textContent = 'X';


    input.addEventListener('focus', function(event) {
        this.style.outline = 'none';
        this.style.border = '5px solid green';
    });

    input.addEventListener('blur', function(event){
        let number = parseInt(this.value);
        if(number < 0 || isNaN(number)) {
            this.style.border = '5px solid red';
            span.textContent = `Please enter correct price`;
            this.after(span);
        } else {
            this.style.border = null;
            this.style.color = 'green';
            span.textContent = `Текущая цена: ${this.value}`;
            this.parentNode.insertBefore(span, this);
            span.after(button);
        }

    });

    button.addEventListener('click', function(event) {
        input.value = '';
        input.style.color = null;
        span.parentNode.removeChild(span);
        this.parentNode.removeChild(this);

    });

    document.body.appendChild(input);

</script>

</body>
</html>